Bug 907933 - Writer crashes when trying to delete cell from a table
Summary: Writer crashes when trying to delete cell from a table
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 18
Hardware: i386
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-05 14:59 UTC by Tomáš Bžatek
Modified: 2015-03-03 23:06 UTC (History)
8 users (show)

Fixed In Version: libreoffice-3.6.5.2-5.fc18
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-05 23:21:12 UTC


Attachments (Terms of Use)
ODT file - reproducer (10.44 KB, application/vnd.oasis.opendocument.text)
2013-02-05 14:59 UTC, Tomáš Bžatek
no flags Details
backtrace (12.17 KB, text/plain)
2013-02-05 15:00 UTC, Tomáš Bžatek
no flags Details

Description Tomáš Bžatek 2013-02-05 14:59:54 UTC
Created attachment 693400 [details]
ODT file - reproducer

Description of problem:
Libreoffice crashes when trying to delete last few characters from a table to make it fit to the previous page.

Version-Release number of selected component (if applicable):
libreoffice-3.6.5.2-1.fc18.i686
also reproducible on libreoffice-4.0.0.3-1.fc19.x86_64

How reproducible:
always, make sure to have DejaVu fonts installed.

Steps to Reproduce:
1. Scroll to the end of page 2
2. Try to delete extra characters from the next page
3. Watch LO falling apart
  
Additional info:
Make sure to check that the document has three pages and the last one is nearly empty, having one line and table ending.

Comment 1 Tomáš Bžatek 2013-02-05 15:00:39 UTC
Created attachment 693401 [details]
backtrace

Comment 2 Caolan McNamara 2013-02-05 16:05:33 UTC
A reproducible one for a change!

Comment 3 Caolan McNamara 2013-02-05 16:45:52 UTC
Also reproducible on oldest 3-5 series build I have

Comment 4 Caolan McNamara 2013-02-05 22:47:55 UTC
https://gerrit.libreoffice.org/#/c/2012/ is my suggested fix

Comment 5 Fedora Update System 2013-02-27 19:46:22 UTC
libreoffice-3.6.5.2-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libreoffice-3.6.5.2-5.fc18

Comment 6 Fedora Update System 2013-03-02 20:19:12 UTC
Package libreoffice-3.6.5.2-5.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-3.6.5.2-5.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-3315/libreoffice-3.6.5.2-5.fc18
then log in and leave karma (feedback).

Comment 7 Vasilis Keramidas 2013-03-03 21:01:45 UTC
libreoffice-3.6.5.2-5.fc18 fixes this bug
I left positive karma at https://admin.fedoraproject.org/updates/F18/FEDORA-2013-3315

Comment 8 Fedora Update System 2013-03-05 23:21:14 UTC
libreoffice-3.6.5.2-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.